Skip to main content
POST
/
api
/
v1
/
context
/
memory
/
delete
Delete memory context data
curl --request POST \
  --url https://platform-backend.getalchemystai.com/api/v1/context/memory/delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "memoryId": "support-thread-TCK-1234",
  "organization_id": "org_01HXYZABC",
  "by_doc": true,
  "by_id": false
}
'
{
  "success": false,
  "error": "Error details",
  "message": "Invalid job id",
  "status": 400,
  "statusText": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://getalchemystai.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
memoryId
string
required

The ID of the memory to delete

organization_id
string | null
required

Organization ID

user_id
string | null
deprecated

Optional user ID

by_doc
boolean | null
default:true

Delete by document flag

by_id
boolean | null
default:false

Delete by ID flag

Response

Successfully deleted memory context